[SCM] Debian packaging for sketch 3D line drawing software branch, master, updated. debian/0.2.183-1-7-g909ff9a

David Bremner bremner at unb.ca
Sat Dec 18 03:18:54 UTC 2010


The following commit has been merged in the master branch:
commit 88397a4f6f3780996596ea9ed8b39aeabbbc9547
Author: David Bremner <bremner at unb.ca>
Date:   Fri Dec 17 23:14:10 2010 -0400

    add trap on INT

diff --git a/debian/export-patches.sh b/debian/export-patches.sh
index f0b82b4..531a484 100644
--- a/debian/export-patches.sh
+++ b/debian/export-patches.sh
@@ -3,6 +3,8 @@
 # To use as a hook in gitpkg, 
 #   git config gitpkg.deb-export-hook debian/export-patches.sh
 
+trap cleanup INT 
+    
 # make this configable?
 recipe=debian/git-patches
 
@@ -24,6 +26,12 @@ case $DEB_VERSION in
 esac
 
 tmpdir=$(mktemp -d patches.XXXXXXX)
+
+cleanup (){
+    echo "cleaning up..."
+    rm -rf $tmpdir
+    exit 1
+}
 echo "# Patches exported from git by gitpkg-export-patches" > $tmpdir/series
 
 sed -e s/%DEB_VERSION%/${DEB_VERSION}/g  -e s/%DEB_UPSTREAM%/${DEB_UPSTREAM}/ < $recipe |

-- 
Debian packaging for sketch 3D line drawing software



More information about the debian-science-commits mailing list